none
Does updating to TLS 1.2 to connect to logic apps require any code changes? RRS feed

  • Question

  • Hi,

    It seems that the O365 logic app resources in Azure require a TLS update and Microsoft will only allow TLS 1.2 to connect to logic apps. Can we update them directly or will there be any code changes that need to happen first?

    Greatly appreciate any help.

    Thanks in advance.

    Regards

    SLS

    Thursday, September 5, 2019 3:10 PM

All replies

  • If there is a code calling the impacted endpoint (request trigger/webhook callback), there is a need to work with that codebase and update accordingly.

    From Logic app side there's no update required , starting 9/30 we will just reject any calls to the impacted endpoint that doesn't use TLS 1.2.


    Thursday, September 5, 2019 3:24 PM
    Moderator
  • Any updates on this ?
    Monday, September 9, 2019 5:18 AM
    Moderator
  • Hi Dixit,

    Thank you for your response.

    Most of the applications are based on client-side code but one of the applications has an office add-in that uses .NET framework 4.5.2. 

    Do we have to first upgrade the .NET framework before upgrading TLS 1.2? 

    Could you please let me know what all components needs to be checked for compatibility prior to performing an upgrade?

    Appreciate all your help.

    Regards

    Sravya

    Monday, September 16, 2019 3:19 PM